package colorIdentifier;


public class Pixel {
	int red;
	int green;
	int blue;
	private int RGB;

	
	public Pixel (byte red, byte green, byte blue)
	{
		this.red = red;
		this.green = green;
		this.blue = blue;
	}
	
	public Pixel (int intRGB)
	{
		setRGB(intRGB);
		//printPixelVals();
	}
	
	
	
	public int getRed()
	{
		//printPixelVals();
		return this.red;
	}
	
	public int getGreen()
	{
		//printPixelVals();
		return this.green;
	}
	
	public int getBlue()
	{
		//printPixelVals();
		return this.blue;
	}
	
	public int getRGB()
	{
		//printPixelVals();
		return RGB;
	}
	
	
	public void setRed(byte red)
	{
		this.red = red;
		//printPixelVals();
	}
	
	public void setGreen(byte green)
	{
		this.green = green;
		//printPixelVals();
	}
	
	public void setBlue(byte blue)
	{
		this.blue = blue;
		//printPixelVals();
	}
	
	public void setRGB (int RGB)
	{
		this.RGB = RGB;
		
		int r = RGB;
		int g = RGB;
		int b = RGB;
		
		
		r = r & 16711680; //00000000 11111111 00000000 000000000
		g = g & 65280; //00000000 00000000 11111111 000000000
		b = b & 255; //00000000 00000000 000000000 11111111
				
		r = r >> 16;
		g = g >> 8;
		b = b;

		
		this.red = r;
		this.green = g;
		this.blue = b;
		
		//printPixelVals();
		
	}
	
	
	
	public void printPixelVals ()
	{
		System.out.println("\nRed: " + this.red + 
				"\nGreen: " + this.green + 
				"\nBlue: " + this.blue + "\n");
	}

	
	
	
}
